
enum PathType
{
  Epsilon ,
  Sentence,
  Expersion
}
class StatePath{
  late PathType type=PathType.Sentence;
  late String text='';
  late String fromState;
  late String toState;
  StatePath({required this.type , required this.text});
  StatePath.fromJson(dynamic data)
  {
    if(data['type']!=null)type=PathType.values[data['type']]; 
    text=data['text'];
    fromState=data['fromState'];
    toState=data['toState'];
  }
  
  static List<StatePath> fromJsonList(dynamic data)
  {
    var l=<StatePath>[];
    if(data!=null)
      // ignore: curly_braces_in_flow_control_structures
      for(var a in data)
      {
        l.add(StatePath.fromJson(a));
      }
    return l;
  }
}